puts "Adding default user"
user = User.new :first_name =>'Nicolay', :last_name => 'Hvidsten', :username => 'nicolayh', :email => 'nicohvi@gmail.com', :password => 'please123', :password_confirmation => 'please123'
user.save
puts "Adding default subjects"
subject = Subject.new :name =>'Math'
subject.save
subject = Subject.new :name => 'History'
subject.save
puts 'Adding default skills'
skill = Skill.new :name => 'Geometry'
skill.save
skill = Skill.new :name => 'Napoleon'
skill.save
puts "adding tasks to skill"
Skill.all.each do |_skill|
  for i in 0..10
    task = Task.new :name => 'task'+i.to_s, :points => 10, :question => 'What is the answer?', :solution => '42'
    for j in 0..5
      task.hints << Hint.new(:text => 'Hint'+j.to_s)
    end
    _skill.tasks << task
  end
end
puts "Adding default roles"
role = Role.new :name => 'admin'
role.save
role = Role.new :name => 'teacher'
role.save
role = Role.new :name => 'student'
role.save
puts "Adding admin-role to first user"
user = User.first
user.roles << Role.first
user.save
puts "Adding students"
user = User.new :first_name =>'Student', :last_name => 'Uno', :username => 'stud1', :email => 'stud1@gmail.com', :password => 'please123', :password_confirmation => 'please123'
user.roles << Role.find(3)
user.save
user = User.new :first_name =>'Student', :last_name => 'Dos', :username => 'stud2', :email => 'stud2@gmail.com', :password => 'please123', :password_confirmation => 'please123'
user.roles << Role.find(3)
user.save
user = User.new :first_name =>'Student', :last_name => 'Tres', :username => 'stud3', :email => 'stud3@gmail.com', :password => 'please123', :password_confirmation => 'please123'
user.roles << Role.find(3)
user.save
puts "Adding teacher"
user = User.new :first_name =>'Mister', :last_name => 'Thompson', :username => 'teacher1', :email => 'teacher@gmail.com', :password => 'please123', :password_confirmation => 'please123'
user.roles << Role.find(2)
user.save
puts "Adding default class"
klass = SchoolClass.new :year => 1, :name => 'Class1', :teacher_id => User.find_by_first_name('Mister').id
klass.save
