class Ability
  include CanCan::Ability

  def initialize(user)
    # Define abilities for the passed in user here.
    # This can be used to assign group users in classes, by making each class a role
    # for which students taking said class are added.
    #
       user ||= User.new # guest user (not logged in)

       if user.role? :admin
         can :manage, :all
       elsif user.role? :teacher
         can :manage, :all
       elsif user.role? :student
         # todo: restrict user read access to only view his subjects etc. Perhaps also
         # restrict reading of other users' stats.
         can :read, :all
       end
  end
end
