class UniqueJoins < ActiveRecord::Migration
  def change
    add_index :skills_subjects, [ :skill_id, :subject_id ], :unique => true, :name => 'by_skill_and_subject'
    add_index :class_subjects, [ :school_class_id, :subject_id ], :unique => true, :name => 'by_class_and_subject'
    add_index :answers, [:task_id, :user_id ], :unique => true, :name => 'by_task_and_user'
    add_index :skill_progressions, [:skill_id, :user_id ], :unique => true, :name => 'by_skill_and_user'
  end
end
